webentwicklung-frage-antwort-db.com.de

Laravel Mix vue-template-compiler muss als Peer-Abhängigkeit installiert werden

ich habe eine neue Laravel-Installation, alles gut kompilieren, aber wenn ich vuex oder vue router durch npm installiere, wird das Kompilieren nicht mehr funktionieren.

Fehler: [vue-loader] vue-template-compiler muss als Peer installiert sein Abhängigkeit, oder eine kompatible Compilerimplementierung muss über .__ übergeben werden. Optionen.

4
Jose Santaella

Die Version des vue und vue-template-compilers moduls muss in Ihrer package.json identisch sein.

Das war mein Code:

"devDependencies": {
        "vue": "^2.5.17",
        "vue-loader": "^15.5.1",
        "vue-template-compiler": "^2.5.21"
    },

Ich habe die Version vue in 2.5.21 geändert und dann npm update ausgeführt, um die Basisversion von VueJS zu aktualisieren.

12

npm install vue-loader --save-dev

npm install vue-template-compiler --save-dev

0
Kirk-Nanayaw